%define anolis_release 2

Name:    adcli
Version: 0.9.2
Release: %{anolis_release}%{?dist}
Summary: Active Directory enrollment
License: LGPLv2+
URL:     https://gitlab.freedesktop.org/realmd/adcli
Source0: https://gitlab.freedesktop.org/realmd/adcli/uploads/ea560656ac921b3fe0d455976aaae9be/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: libtool
BuildRequires: gettext-devel
BuildRequires: krb5-devel
BuildRequires: openldap-devel
BuildRequires: libxslt
BuildRequires: xmlto
BuildRequires: make

Requires: cyrus-sasl-gssapi
Conflicts: adcli-doc < %{version}-%{release}

# adcli no longer has a library of development files
# the adcli tool itself is to be used by callers
Obsoletes: adcli-devel < 0.5

%description
adcli is a tool for joining an Active Directory domain using
standard LDAP and Kerberos calls.

%package doc
Summary: adcli documentation
BuildArch: noarch
Requires: %{name} = %{version}-%{release}
Conflicts: adcli < %{version}-%{release}

%description doc
adcli is a tool for joining an Active Directory domain using
standard LDAP and Kerberos calls. This package contains its
documentation.

%define _hardened_build 1

%prep
%autosetup

%build
%configure --disable-static --disable-silent-rules \
    --with-vendor-error-message='Please check\n    https://bugzilla.openanolis.cn \nto get help for common issues.' \
    %{nil}
%make_build

%check
%make_build check

%install
%make_install DESTDIR=%{buildroot}

%generate_compatibility_deps

%files
%dir %{abidir}
%{_sbindir}/adcli
%{abidir}/adcli-option.list
%doc %{_mandir}/*/*

%files doc
%doc %{_datadir}/doc/adcli/*
%doc AUTHORS COPYING ChangeLog NEWS README

%changelog
* Tue Dec 19 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.9.2-2
- rebuild

* Mon Jan 09 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.9.2-1
- Update to version 0.9.2

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.9.1-2
- optimise spec file

* Mon May 16 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.9.1-1
- init from upstream
